Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154894 - Network causing machine hung, using r8169 drive
Summary: Network causing machine hung, using r8169 drive
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: kernel
Version: fc2
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 18:52 UTC by Jian Gao
Modified: 2007-04-18 17:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-16 19:37:08 UTC


Attachments (Terms of Use)

Description Jian Gao 2005-04-14 18:52:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.1.4322; .NET CLR 2.0.40607)

Description of problem:
When I'm using Microsoft 2000 server backup utility to backup large files from windows 2000 servers (4-8 machines) to this Fedora machine through samba, the machine sometime froze (hung); if I unplug the network cable, the machine will go back to work normally.

I knew there're some patches related to r8169. Do the new Fedora kernel rpms include the patch or not?

Version-Release number of selected component (if applicable):
2.6.10-1.8_FC2

How reproducible:
Sometimes

Steps to Reproduce:
1.Using NETGEAR GA311 Gigabit PCI NIC.
2.Fedora will load r8169 driver.
3.Have accounts on Fedora for SAMBA access.
4.Write high volumn data stream to the Fedora through SAMBA: the clients are Microsoft backup, backing its data up to Fedora.
  

Expected Results:  When volumn of data stream is reaching the NIC capacity, the r8169 will cause the machine hung; if unplug the NIC, the machine will recover immediately itself.

Additional info:

Comment 1 Francois Romieu 2005-04-23 16:23:25 UTC
[...]
> Do the new Fedora kernel rpms include the patch or not?

No.

Can you still reproduce the issue with the patches I sent to you (i.e.
2.6.12-rc3 + http://oss.sgi.com/projects/netdev/archive/2005-03/msg00870.html)

--
Ueimor

Comment 2 Pekka Savola 2005-05-16 19:37:08 UTC
This kernel isn't provided by Fedora Legacy, and this issue doesn't seem to have
security implications; reopen against a later Fedora Core release if the problem
still persists there.



Note You need to log in before you can comment on or make changes to this bug.